Pools

Update a member SandboxPool

PUT
/envs/{name}/sandboxpools/{poolName}

Authorization

ApiKeyAuth
AGENTBOX-API-KEY<token>

In: header

Path Parameters

name*string
poolName*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://envs/string/sandboxpools/string" \  -H "Content-Type: application/json" \  -d '{    "instanceType": "sci.c23-2",    "multiplier": 1,    "replicas": 1,    "minReplicas": 0,    "maxReplicas": 4,    "inlineResources": {      "requests": {        "cpu": "100m",        "memory": "500Mi"      },      "limits": {        "cpu": "100m",        "memory": "500Mi"      }    },    "labels": {      "quota.scitix.ai/url": "https://quota.example/q/1"    }  }'
{  "template": {    "name": "poolname",    "namespace": "t-team-user",    "cpu": "1",    "memory": "16Gi",    "team": "team",    "user": "user",    "spec": {      "replicas": 2    },    "status": {      "phase": "Ready",      "idleReplicas": 1,      "unavailableIdleReplicas": 0,      "runningReplicas": 1,      "startingReplicas": 0,      "stoppingReplicas": 0,      "failedReplicas": 0    }  },  "editable": {    "instanceType": "sci.c23-2",    "multiplier": 1,    "replicas": 1,    "minReplicas": 0,    "maxReplicas": 4,    "inlineResources": {      "requests": {        "cpu": "100m",        "memory": "500Mi"      },      "limits": {        "cpu": "100m",        "memory": "500Mi"      }    },    "labels": {      "quota.scitix.ai/url": "https://quota.example/q/1"    }  }}
{  "error": "string",  "errorCode": "APPROVAL_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "APPROVAL_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "APPROVAL_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "APPROVAL_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "APPROVAL_REQUIRED",  "detail": null}